Subject: bug#38199: 27.0.50; [Cairo] Display artifacts (small vertical colored bars)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Nov 2019 09:59:15 +0200

> From: Bastian Beischer <[email-masked]>
> Date: Thu, 14 Nov 2019 23:30:32 +0100
> Cc: [email-masked]
> 
> > Did you try to disable "advanced" or "optimization" features of your
> > display driver software?  Or upgrade it to a newer version?  The
> > artifacts your screenshot shows don't look like something Emacs could
> > produce.
> 
> You are right: It could well be a cairo library or driver issue. I am
> using the default optimized builds from the Arch Linux x86_64
> repository, which means:
> 
> cairo: 1.17.2+17+g52a7c79fd-2
> Xorg: 1.20.5-4
> mesa: 19.2.3-2
> linux: 5.3.11.1-1
> 
> My GPU is NVIDIA Geforce GTX 285 (nouveau kernel driver, combined with
> modesetting / glamor). Should I report a bug against cairo?

Maybe; it could also be a bug in the NVIDIA drivers.  So before
reporting a Cairo bug, I'd look at the settings of your video driver,
and if there are any "optimization" features there, try to disable
them.